﻿
@using Resources;    

	<div class="emap-sidebar-body panel-group">
        <!-- Estate info -->
		<div class="panel panel-default">
			

			<div class="emap-sidebar-info panel-body list-group" ng-show="selected_tenants != null">
                <div style="padding:0">
				    <div ng-repeat="t in selected_tenants" ng-class-odd="'emap-odd'" ng-class-even="'emap-even'">
                        <div>
                            <!--<span class="emap-selected-tenant-info-key">@Main.Tenant_name:</span>-->
                            <span class="emap-selected-tenant-info-value"> {{t.Name}}</span>
                            <a ng-show="selected_tenant != null" class="emap-icon-link active" ng-click="showTenantDetails(t.Id)">
                                <span style="font-size:13px">@Main.Tenant_details</span>
                            </a>
                        </div>
					    <!--<div><span class="emap-selected-tenant-info-key">@Main.Estate:</span><span class="emap-selected-tenant-info-value"> {{selected_estate.formatted_address}}</span></div>
                        <div><span class="emap-selected-tenant-info-key">@Main.Landuse:</span><span class="emap-selected-tenant-info-value"> {{t.Landuse}}</span></div>
                        <div><span class="emap-selected-tenant-info-key">@Main.Number_of_plots:</span><span class="emap-selected-tenant-info-value"> {{t.Count}}</span></div>-->
				    </div>	
                </div>
            </div>	
			<div class="emap-sidebar-info panel-body list-group" ng-show="selected_tenants == null && selected_tenant.tid != null">
                <div style="padding:0">
                    <!--<span class="emap-selected-tenant-info-key">@Main.Tenant_name:</span>-->
                    <span class="emap-selected-tenant-info-value"> {{selected_tenant.Name}}</span>
                    <a ng-show="selected_tenant != null" class="emap-icon-link active" ng-click="showTenantDetails(selected_tenant.Id)">
                        <span style="font-size:13px">@Main.Tenant_details</span>
                    </a>
                </div>
				<!--<div><span class="emap-selected-tenant-info-key">@Main.Estate:</span><span class="emap-selected-tenant-info-value"> {{selected_estate.formatted_address}}</span></div>
                <div><span class="emap-selected-tenant-info-key">@Main.Landuse:</span><span class="emap-selected-tenant-info-value"> {{selected_tenant.Landuse}}</span></div>
                <div><span class="emap-selected-tenant-info-key">@Main.Number_of_plots:</span><span class="emap-selected-tenant-info-value"> {{selected_tenant.Count}}</span></div>-->
            </div>	

			<div class="emap-sidebar-info panel-body list-group" ng-show="selected_tenant.tid == null">
                <div style="padding:0"><span class="emap-selected-tenant-info-key">@Main.Plot_number:</span><span class="emap-selected-tenant-info-value"> {{selected_tenant.Pnu}}</span></div>
                <div style="padding:0"><span class="emap-selected-tenant-info-key">@Main.Landuse:</span><span class="emap-selected-tenant-info-value"> {{selected_tenant.Landuse}}</span></div>
		        <div style="padding:0"><span class="emap-selected-tenant-info-key">@Main.Estate:</span><span class="emap-selected-tenant-info-value"> {{selected_estate.formatted_address}}</span></div>
            </div>	

		</div>	
        <!--Route-->
		<div class="panel panel-default">
			<div class="panel-heading">
				<span>@Main.Find_route:</span>
			</div>
			<div class="emap-sidebar-route panel-body list-group">

				<div class="emap-sidebar-route-from input-group" ng-show="!t_route.isSwap">
					<div class="input-group-addon" style="min-width:60px">@Main.From</div>
					<input type="text" class="form-control" ng-model="t_route.from" g-places-autocomplete custom-places="t_routeFrom">
                    <div class="input-group-addon" title="@Main.Geolocate">
                        <a class="emap-icon-link active" ng-click="t_geolocate()">
                            <i ng-class="t_route.geolocationClass"></i>
                        </a>
                    </div>
				</div>
				<div class="emap-sidebar-route-to input-group" ng-show="t_route.isSwap">
					<div class="input-group-addon" style="min-width:60px">@Main.From</div>
					<input type="text" class="form-control" ng-model="t_route.from.formatted_address" readonly>
				</div>							
                        							
				<a ng-click="t_swapRoutePoints()"><span class="glyphicon glyphicon-sort" style="margin:5px 0 5px 25px;cursor:pointer" aria-hidden="true"></span></a>

				<div class="emap-sidebar-route-to input-group" ng-show="!t_route.isSwap">
					<div class="input-group-addon" style="min-width:60px">@Main.To</div>
					<input type="text" class="form-control" ng-model="t_route.to.formatted_address" readonly>
				</div>							
				<div class="emap-sidebar-route-from input-group" ng-show="t_route.isSwap">
					<div class="input-group-addon" style="min-width:60px">@Main.To</div>
					<input type="text" class="form-control" ng-model="t_route.to" g-places-autocomplete custom-places="t_routeToSwap">
                    <div class="input-group-addon" title="@Main.Geolocate">
                        <a class="emap-icon-link active" ng-click="t_geolocate()">
                            <i ng-class="t_route.geolocationClass"></i>
                        </a>
                    </div>
				</div>
							
                <div style="margin:15px 0 0 0">
					<button type="button" class="btn btn-routes-guide" ng-click="t_guideMe()" ng-disabled="t_route.from.formatted_address == null || t_route.to.formatted_address == null">@Main.Guide_Me</button>
					<button type="button" class="btn btn-routes-send" ng-click="t_openSmsWindow()" ng-disabled="!t_route.isCalculated">@Main.Send_SMS</button>
					<button type="button" class="btn btn-routes-clear" ng-click="t_clearRoute()" ng-disabled="!t_route.isCalculated">@Main.Clear_Route</button>
				</div>

                <div class="list-group">
                    <div id="emap-t_route-directions"></div>
                </div>
			</div>
		</div>								
    </div>


